Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.freemarker.template
Class InsertTemplateFMModel

    java.lang.Object
      org.apache.tiles.freemarker.template.InsertTemplateFMModel

All Implemented Interfaces:
  freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

    public class InsertTemplateFMModel

extends java.lang.Object
implements freemarker.template.TemplateDirectiveModel

Wraps `InsertTemplateModel` to be used in FreeMarker. For the list of parameters, see `InsertTemplateModel.start(org.apache.tiles.TilesContainer, Object...)` and `InsertTemplateModel.end(org.apache.tiles.TilesContainer, String, String, String, String, String, Object...)` .

Since:
  2.2.0
Version:
  $Rev: 787729 $ $Date: 2009-06-23 17:47:20 +0200 (mar, 23 giu 2009) $

Field Summary

Fields inherited from interface freemarker.template.TemplateModel
`NOTHING`

Constructor Summary
`InsertTemplateFMModel(InsertTemplateModel model)` Constructor.

Method Summary
`void` | `execute(freemarker.core.Environment env, java.util.Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertTemplateFMModel

    public InsertTemplateFMModel(InsertTemplateModel model)

  Constructor.

  Parameters:
    `model` - The template model.
  Since:
    2.2.0

Method Detail

### execute

    public void execute(freemarker.core.Environment env,
                        java.util.Map params,
                        freemarker.template.TemplateModel[] loopVars,
                        freemarker.template.TemplateDirectiveBody body)
                 throws freemarker.template.TemplateException,
                        java.io.IOException

  Specified by:
    `execute` in interface `freemarker.template.TemplateDirectiveModel`
  Throws:
    `freemarker.template.TemplateException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.